Page 2 of 2 FirstFirst 12
Results 11 to 19 of 19

Thread: impossible update of several packages

  1. #11
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,885

    Default AW: impossible update of several packages

    So all is running fine......

  2. #12
    Join Date
    May 2019
    Location
    Padova - Italy
    Posts
    78

    Default Re: impossible update of several packages

    Updated 2 packages still in the list then checked for updates: no more updates available.
    Problem solved, thanks to all.

  3. #13
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    27,152

    Default Re: impossible update of several packages

    Maybe avoid the applet?
    Henk van Velden

  4. #14
    Join Date
    May 2019
    Location
    Padova - Italy
    Posts
    78

    Default Re: impossible update of several packages

    Quote Originally Posted by hcvv View Post
    Maybe avoid the applet?
    As I wrote in first message I tried YaST but I get the same error.

  5. #15
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    27,152

    Default Re: impossible update of several packages

    Quote Originally Posted by Giorgio_os View Post
    As I wrote in first message I tried YaST but I get the same error.
    Yes, but you tried YaST (and zypper) after you used the mechanism behind the applet (PackageKit) to try to update.

    It is no prove of course, but every now and then such problems appear with users using the applet, scan the forum.
    Last edited by hcvv; 17-Sep-2020 at 03:19.
    Henk van Velden

  6. #16
    Join Date
    May 2019
    Location
    Padova - Italy
    Posts
    78

    Default Re: impossible update of several packages

    Quote Originally Posted by hcvv View Post
    Yes, but you tried YaST (and zypper) after you used the mechanism behind the applet (PackageKit) to try to update.
    Now I understand, you suggest trying YaST as first method.
    If I had the same problem in future I'll try to remember.

  7. #17
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    27,152

    Default Re: impossible update of several packages

    In fact, my suggestion is NOT to use the applet for updating. (maybe at the most for getting the signal that there is something. Use either zypper up or YaST for updating, Again NOT the applet which uses Packagekit.

    Maybe others think different, but as I said, earlier in this thread, I see often enough problems reported here on the forums where people used the applet and that had to be recovered the same as we let you do above.

    I do not even have the applet installed, but that is a very personal approach.
    Henk van Velden

  8. #18
    Join Date
    May 2019
    Location
    Padova - Italy
    Posts
    78

    Default Re: impossible update of several packages

    Quote Originally Posted by hcvv View Post
    ... I see often enough problems reported here on the forums where people used the applet ...
    I agree but given that this applet is part of KDE and is the easiest way to update it should work. May be openSuse staff could help.

  9. #19
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    27,152

    Default Re: impossible update of several packages

    Quote Originally Posted by Giorgio_os View Post
    .....and is the easiest way to update it should work.
    Maybe "easiest", but "best"? A matter of personal taste. I never would allow any automatic update on my systems.
    Thus the only function that rests for the applet to offer me is the warning that there is something out there. But I am satisfied with my way of looking every week during "maintenance window" what YaST Online Update offers me.

    And another personal thought. I would rather see that openSUSE developers spend their resources on future development of libzypp and the openSUSE native tools zypper and YaST > Software then on PackageKit
    Henk van Velden

Page 2 of 2 FirstFirst 12

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •